
Name:           dbus-qt
BuildRequires:  dbus dbus-devel qt-devel
URL:            http://dbus.freedesktop.org/
License:        Other License(s), see package, Other uncritical OpenSource License
Group:          Development/Libraries/KDE
Version:        0.62
Release:        16.1AX
Autoreqprov:    on
Summary:        QT3/KDE bindings for D-Bus
Source0:        dbus-qt3-%{version}.tar.bz2
Patch0:         dbus-qt3-compile-fix-thoenig-01.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus
Provides:       dbus-qt:/usr/%_lib/libdbus-qt-1.so.1
%package -n dbus-qt-devel
Summary:        Developer package for QT3/KDE bindings for D-Bus
Requires:       dbus
Requires:       dbus-qt = %{version}
Requires:       dbus-devel
Autoreqprov:    on
Group:          Development/Libraries/KDE

%description
QT3/KDE bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-qt-devel
Developer package for QT3/KDE bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-qt3-%{version} -q
%patch0 -p0
make -f admin/Makefile.common cvs
%build
RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fstack-protector -fno-strict-aliasing -fPIC"
export CFLAGS="${RPM_OPT_FLAGS}"
export CXXFLAGS="${RPM_OPT_FLAGS}"
./configure								\
    --prefix=%{_prefix}							\
    --exec_prefix=%{_exec_prefix}					\
    --sysconfdir=%{_sysconfdir}						\
    --datadir=%{_datadir}						\
    --localstatedir=%{_localstatedir}					\
    --libdir=%{_libdir}							\
    --mandir=%{_mandir}	
make

%install
make DESTDIR=%{buildroot} install

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-, root, root)
%{_libdir}/libdbus-qt-1.so.1*

%files -n dbus-qt-devel
%defattr(-, root, root)
%dir %{_includedir}/dbus-1.0
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/connection.h
%{_includedir}/dbus-1.0/dbus/dbus-qt.h
%{_includedir}/dbus-1.0/dbus/message.h
%{_includedir}/dbus-1.0/dbus/server.h
%{_libdir}/libdbus-qt-1.la
%{_libdir}/libdbus-qt-1.so

%changelog -n dbus-1-qt3
* Mon May 27 2007 Shu Li <shuli@redflag-linux.com> 0.62-16.1AX
- change post scripts .

* Mon Aug 21 2006 - thoenig@suse.de
- remove hack for 64bit architectures
- use bz2 for tar ball
* Thu Aug 17 2006 - dmueller@suse.de
- really enable -fstack-protector
- fix build on x86_64
* Tue Aug 01 2006 - thoenig@suse.de
- split out binings to sparate spec files
